/*******************************************************************************
 * FoxBillboardUIControlPoint generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBillboardUIControlPoint extends FoxBillboardUIObjectBase within GFxMoviePlayer
    native(HUD)
    config(HUD);

const ControlPointLevelRange = 100;

var transient FoxGameObject_ControlPoint ControlPoint;
var private float LastCaptureRatio;
var private int LastControllingTeamIndex;
var private int LastCapturingTeamIndex;
var private string ControlPointLabel;
var private string LastDirectionString;
var private const string DirectionStringUp;
var private const string DirectionStringDown;
var private const string DirectionStringLevel;

function NotifyTeamChange()
{
    super.NotifyTeamChange();
    LastControllingTeamIndex = -2;
    LastCapturingTeamIndex = -2;
    //return;    
}

event as_SetCapturingTeamColor(string CapturingTeamColor)
{
    SetString("progressColor", CapturingTeamColor);
    //return;    
}

event as_SetLabel(string NewLabel)
{
    ControlPointLabel = NewLabel;
    super.as_SetLabel(NewLabel);
    //return;    
}

event as_SetDirection(string NewDirectionLabel)
{
    LastDirectionString = NewDirectionLabel;
    SetString("direction", LastDirectionString);
    //return;    
}

event as_SetCaptureProgress(float NewProgress)
{
    LastCaptureRatio = NewProgress;
    SetFloat("captureProgress", LastCaptureRatio);
    //return;    
}

defaultproperties
{
    LastCaptureRatio=-1.0
    LastControllingTeamIndex=-1
    LastCapturingTeamIndex=-1
    DirectionStringUp="UP"
    DirectionStringDown="DOWN"
    DirectionStringLevel="LEVEL"
    NearestBillboardInfo=(Opacity=80.0)
    FurthestBillboardInfo=(Scale=70.0)
    symbolname="billBoard_DOM"
    bDockable=true
    bKeepOnScreen=true
    bDrawDistance=true
    bSupportsOpacityChangeInTightAim=true
}